### Method

# Atk Object notify_state_change

#### Declaration [src]

    void
    atk_object_notify_state_change (
      AtkObject* accessible,
      AtkState state,
      gboolean value
    )

#### Description [src]

Emits a state-change signal for the specified state.

Note that as a general rule when the state of an existing object changes, emitting a notification is expected.

#### Parameters

`state`

  Type: `AtkState`

  An `AtkState` whose state is changed.

`value`

  Type: `gboolean`

  A gboolean which indicates whether the state is being set on or off.